\documentclass[12pt,a4paper]{article}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage[T1]{fontenc}

\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{graphicx}
\usepackage{array,multirow,makecell}
\usepackage[colorlinks,bookmarksopen,bookmarksnumbered,citecolor=red,urlcolor=blue]{hyperref}
\usepackage{breakcites}
\usepackage{xcolor}
\usepackage{listings}

\usepackage[backend=biber,defernumbers=true,sorting=none,style=numeric,maxnames=99,doi=false,url=false,clearlang=true,isbn=false]{biblatex}
\addbibresource{pinch.bib}
\AtEveryBibitem{%
  \clearlist{language}%
}



\usepackage[left=2cm,right=2cm,top=2cm,bottom=2cm]{geometry}

%%% PACKAGES
\usepackage{booktabs} % for much better looking tables
\usepackage{array} % for better arrays (eg matrices) in maths
\usepackage{paralist} % very flexible & customisable lists (eg. enumerate/itemize, etc.)
\usepackage{verbatim} % adds environment for commenting out blocks of text & for better verbatim
\usepackage{subfig}
% These packages are all incorporated in the memoir class to one degree or another...

%TITLE? DATE AND AUTHORS
\title{PinchGUI\\User Guide}
\date{\today}
\author{}



%%% HEADERS & FOOTERS
\usepackage{fancyhdr} % This should be set AFTER setting up the page geometry
\pagestyle{fancy} % options: empty , plain , fancy
\renewcommand{\headrulewidth}{0pt} % customise the layout...
\lhead{PinchGUI, User Guide}\chead{}\rhead{}
\lfoot{Version 0.5.0}\cfoot{}\rfoot{\thepage}

\fancypagestyle{firstpage}
{
   \fancyhf{}
   \renewcommand{\headrulewidth}{0pt}
   \fancyfoot[R]{}
}

%%% SECTION TITLE APPEARANCE
\usepackage{sectsty}
\allsectionsfont{\sffamily\mdseries\upshape} % (See the fntguide.pdf for font help)
% (This matches ConTeXt defaults)

%%% ToC (table of contents) APPEARANCE
\usepackage[nottoc,notlof,notlot]{tocbibind} % Put the bibliography in the ToC
\usepackage[titles,subfigure]{tocloft} % Alter the style of the Table of Contents
\renewcommand{\cftsecfont}{\rmfamily\mdseries\upshape}
\renewcommand{\cftsecpagefont}{\rmfamily\mdseries\upshape} % No bold!






\begin{document}
%Logo UL et ENSEM
\begin{figure}[!h]
\captionsetup[subfigure]{labelformat=empty}
\centering
	\subfloat[]{
		\raggedright
		\includegraphics[height=2cm]{img/UL_logo.JPG}
	}
	\hspace{0.3\linewidth}
	\subfloat[]{
		\raggedleft
  		\includegraphics[height=1.3cm]{img/Logo_ENSEM_Couleur.png}
	}
\vspace{4cm}
\maketitle
\vspace{7cm}
\centering
	\subfloat[]{
		\centering
		\includegraphics[width=0.2\linewidth]{img/LEMTA_Logo.PNG}
	}
	\qquad
	\subfloat[]{
		\centering
		\includegraphics[width=0.2\linewidth]{img/LORIA_logo.JPG}
	}
	\qquad
	\subfloat[]{
		\centering
		\includegraphics[width=0.2\linewidth]{img/GREEN_Logo.PNG}
	}
	\qquad
	\subfloat[]{
		\centering
		\includegraphics[width=0.18\linewidth]{img/CRAN_Logo.PNG}
	}
\end{figure}



\thispagestyle{firstpage}



\newpage
\section*{Foreword}
This document is a tutorial on the use of the prototype software PinchGUI (\textit{Pinch analysis Graphical User Interface}). This software has been developed in the context of the "Territory, Industry, Energy" chair project. Its main objective is to present pinch analysis, a technique from the field of process integration that gives an idea of the energy savings that can be achieved by exchanging energy between different processes.

In our case, a process is a process in which a fluid is used and goes from a temperature $T_a$ to a temperature $T_b$ (for example a refrigerant fluid used to cool an engine and therefore gains heat, or water that we heat for domestic use...).

The purpose of the pinch analysis is to list all the energy processes on an area (industrial site, territory...) and to identify the possible energy gains (through the use of heat exchangers, heat pumps etc).The pinch analysis is interesting because it is a systematic method that provides a first good idea of possible energy savings.

When we are interested in energy optimization for our company, our personal needs or the area are in charge of, one of the questions we can ask ourselves is: how much energy can I save? 
The purpose of PinchGUI is to introduce pinch analysis to non-experts so that they can initiate their own analysis and get an idea of the possible gains (and contact experts if the gains seem significant).  


\newpage
\tableofcontents
\newpage


\section{Installation}
The software is in the form of a \textit{zip} folder. Just unzip it to access the executable "\textit{pinchgui.bat}". The software is designed to run on \textbf{Windows x64 (7, 8 or 10)}.


PinchGUI is written in Java and uses \href{https://openjfx.io/}{JavaFX 11} for its graphical part. It is necessary to install a JRE (\textit{Java Runtime Environment}) to use it. 
Two implementations exist depending on the JRE installed:
\begin{itemize}
\item the \textit{zip} "PinchGUI-*.*.*-Java8" contains the version compatible with the Oracle JRE 1.8 (still installed on most machines today). \textbf{This version is updated only when major changes are made.}
\item the \textit{zip} "PinchGUI-*.*.*-Java11" contains the version compatible with a Java 11 JRE (newer version). \textbf{This is the development version, which therefore benefits from more regular updates.}
\end{itemize}

To verify that Java is installed on your machine double-click on "testJava.bat" which contains the command:
\begin{lstlisting}
java -version
\end{lstlisting}
A command prompt should open, several cases are then possible:
\begin{itemize}
\item 'java' is not recognized...: Java is not installed on your machine, follow the instructions in section \ref{subsec-java} to install Java 11.
\item java version "1.8...": you have Java 1.8 installed on your machine, so you have to download the zip "PinchGUI-*.*.*-Java8", then go to section \ref{subsec-java}.
\item java version 9 or 10: there are no compatible PinchGUI versions, follow the instructions in section \ref{subsec-java} to install Java 11.
\item java version 11 or higher: you have Java 11 or higher installed on your machine, so you need to download the zip "PinchGUI-*.*.*-Java11", then go to section \ref{subsec-java}.
\end{itemize}


\subsection{\label{subsec-java}Install Java}
You can find free versions of JRE 11 on the \href{https://adoptopenjdk.net}{AdoptOpenJDK} website, you need to choose the OpenJDK 11 (or higher) HotSpot version, download and install it. The default settings are fine to have the version installed.

\subsection{\label{subsec-lancement}Run the program}
To launch the application, just double-click on "\textit{pinchgui.bat}". You should see a command prompt and then the PinchGUI software.



\section{Energy targeting}
\label{Sec_energy_targeting}
The energy analysis part is located in the "Energy" tab.


\subsection{\label{sec-example}Usage examples}

The examples in this section come from an end-of-study project report conducted at ENSEM \cite{lamri_symbiose_2019}. These examples present different cases of analysis with hypothetical data. Their objective is to illustrate some typical situations of pinch analysis.


At the launch of the application you will find the home page which gives information about the available features. In this tutorial we use the tab "\textit{Test}" which allows to test a pinch analysis by manually entering data.


\subsubsection{Things to know}

Below are explanations of the terms used in the examples:
\begin{itemize}
\item \textbf{Process}: This is a step in a product manufacturing process (heating water to clean parts, heating water to prepare the brewing process when making beer, reducing the temperature of used cooling water before discharging it into a river, etc.). In our case, each process involves a fluid, water or other, go from one temperature to another.
\item \textbf{Fluid}: For analysis, the fluids used in a process are characterized by their inlet temperature $T_e$, their outlet temperature $T_s$, their flow rate $\dot{m}$ in $kg.s^{-1}$ and their mass thermal capacity $C_p$ in $kJ.K^{-1}.kg^{-1}$. The flow rate is the heat capacity allow us to calculate $C = \dot{m} * C_p$ in $kJ.K^{-1}$ (the heat capacity flow) which corresponds to the amount of power carried by the fluid for each Kelvin degree.
The temperature levels allow us to know how the energy could be exchanged (heat going from hot to cold all the better if the temperature difference is important). The $C$ indicator allows us, with the temperatures, to calculate the amount of energy that can be exchanged, this is used to make energy balances.
\item \textbf{Hot Fluid}: A hot fluid is a fluid that needs to be cooled during the process. 
\item \textbf{Cold fluid}: A cold fluid is a fluid that needs to be heated during the process. 
\end{itemize}

For each fluid we therefore need :
\begin{itemize}
\item \textbf{the input temperature $T_e$ in degree Celsius\footnote{Temperatures can be either all in degree Celsius or all in degree Kelvin.}},
\item \textbf{of the output temperature $T_s$ in degrees Celsius},
\item \textbf{mass flow $\dot{m}$ or $dm$ in $kg.s^{-1}$}, and
\item \textbf{of the thermal mass capacity $C_p$ in $kJ.K^{-1}.kg^{-1}$}\footnote{In the literature, the indicator $C = \dot{m} * C_p$ in $kW.K^{-1}$, is sometimes used. It is the heat capacity flow, it aggregates the mass flow and the mass heat capacity.}. 
\end{itemize}

Alternatively, fluids can be defined directly from :
\begin{itemize}
\item \textbf{of the input temperature $T_e$ in degrees Celsius},
\item \textbf{of the output temperature $T_s$ in degrees Celsius},
\item \textbf{from the input specific enthalpy $T_e$ in $kJ.kg^{-1}$}, it is a measure of the amount of energy carried by the fluid per unit mass,
\item \textbf{of the specific output enthalpy $T_s$ in $kJ.kg^{-1}$},
\item \textbf{mass flow $\dot{m}$ or $dm$ in $kg.s^{-1}$}, and 
\end{itemize}


It is also possible to impose a minimum temperature difference for potential heat exchange between hot and cold fluids, this is the parameter \textit{DTmin}. The larger \textit{DTmin} is, the easier and more affordable the heat exchange will be (since the required size of the heat exchangers is inversely proportional to the temperature difference between the fluids). However, a high \textit{DTmin} also reduces the amount of energy that can be recovered in the process.
It is possible to impose a \textit{DTmin} value for a study, if no value is specified by the user the software will automatically propose one by default. 


\subsubsection{Example 1 : 4 Processes}
The first scenario is an example of a typical situation of the Pinch analysis. We consider 4 hypothetical processes, and thus 4 fluids to be informed. 

\textbf{Data}\\
Below are the data for the fluids:
\begin{enumerate}
\item the fluid "C1", 
	\begin{itemize}
	\item $C_p = 2 kJ.kg^{-1}.K^{-1}$
	\item $\dot{m} = 1 kg.s^{-1}$, 
	\item $T_e = 20^{\circ}C$, and
	\item $T_s = 135^{\circ}C$.
	\end{itemize}
\item the fluid "H1", 
	\begin{itemize}
	\item $C_p = 2 kJ.kg^{-1}.K^{-1}$
	\item $\dot{m} = 1.5 kg.s^{-1}$, 
	\item $T_e = 170^{\circ}C$, and
	\item $T_s = 60^{\circ}C$.
	\end{itemize}
\item the fluid "C2", 
	\begin{itemize}
	\item $C_p = 2 kJ.kg^{-1}.K^{-1}$
	\item $\dot{m} = 2 kg.s^{-1}$, 
	\item $T_e = 80^{\circ}C$, and
	\item $T_s = 140^{\circ}C$.
	\end{itemize}
\item the fluid "H2", 
	\begin{itemize}
	\item $C_p = 1.5 kJ.kg^{-1}.K^{-1}$
	\item $\dot{m} = 1 kg.s^{-1}$, 
	\item $T_e = 150^{\circ}C$, and
	\item $T_s = 30^{\circ}C$.
	\end{itemize}
\end{enumerate}

To run this example, just fill in the table in the "\textit{Test}" tab, fluid by fluid. You have to add the lines for the different flows with the button "\textit{Add a line +}". The figure \ref{Fig-data-1} shows the table of fluids to write. 

In this example, we do not exploit the possibility to impose a minimal temperature difference \textit{DTmin} for the calculation.

\begin{figure}[hbt]
\center
\fbox{\includegraphics[width=10cm]{img/data_ex1.PNG}}
\caption{\label{Fig-data-1}Data for the first example.}
\end{figure}

\textbf{Warning} :
\begin{itemize}
\item the numbers entered are in Anglo-Saxon convention. You must write "1.5" and not "1,5".
\end{itemize}


\textbf{Note}:
\begin{itemize}
\item The data of the example are available in the file "Tab1\_ex.csv" located at the root of the software. See section \ref{Sec-export-import} to import them directly.
\end{itemize}



\textbf{Results}\\

Once the data is entered in the table, the "Run" command allows you to perform calculations on the data and display the graphs used for the pinch analysis. Figure \ref{Fig-result-1} shows the results. You just have to click on a graph to enlarge it, the squared button at the bottom right allows to go back to the 4 curves.

\begin{figure}[hbt]
\center
\fbox{\includegraphics[width=16cm]{img/result_ex1.PNG}}
\caption{\label{Fig-result-1}Results for example 1.}
\end{figure}

\begin{itemize}
\item The temperature scale table shows only the temperature scales for the processes under consideration. It gives a global view of the fluids.
\item The composite curve represents the energy balances for all hot fluids, and for all cold fluids. We have on the ordinates the temperatures of the fluids and on the abscissa a power in $kW$. The graph should be read by comparing the abscissa (power) for two given temperatures.

The cold composite curve represents the power required to heat all the cold fluids over a temperature range. For example, to heat cold fluids from $20^{\circ}C$ to $100^{\circ}C$, it will take $300kW - 60kW = 240kW$ ($300kW$ being the power read on the cold composite curve at $100^{\circ}C$ and $60kW$ being the power read at $25^{\circ}C$).

Similarly, the hot composite curve represents the power required to cool all hot fluids. By convention, the hot composite curve starts at abscissa 0 in the software.

\item Offset composite curves are composite curves when the fluids are slightly shifted in temperature ($+\frac{\Delta_{min}}{2}$ for cold fluids, $-\frac{\Delta_{min}}{2}$ for hot fluids) to make the pinch point appear (the point where the curves touch). This offset causes a slight error on the energy levels considered, but with little impact on the final analysis).

\item The large composite curve, figure \ref{Fig-gcc-1}, is obtained by doing \textit{cold shifted composite curve - warm shifted composite curve}. This curve contains several general information about the system:
\begin{itemize}
\item The pinch point corresponds to the moment when the curve touches the ordinate axis, we can read the temperature of the pinch point (here $83^{\circ}C$). 
\item Above the pinch point, we are in heat deficit, we will have to install heating utilities. Below the pinch point, we are in cold deficit, we will need utilities to cool down. 
We deduce for example that it is not interesting to exchange heat between a fluid whose temperature is above the pinch point and a fluid located below (we are already in heat deficit above the pinch point so there is no point in losing more heat by transmitting it below the pinch point when we are already in cold deficit there).
\item The areas where the curve is increasing correspond to temperature ranges where we will need heating power while the areas where the curve is decreasing correspond to temperature ranges where we will need cooling.
\item The pockets of self-sufficiency represented by the two vertical lines correspond to areas where the need for cold and hot compensate each other, so it is interesting to reuse the heat of hot fluids to heat cold fluids.
\item The minimum power required for heating can be read at the top of the curve (here $2kW$). This is the minimum power required to heat the system.
\item The minimum power required for cooling is read at the bottom of the curve (here $42kW$). This is the minimum power required to cool the system.
\end{itemize} 

\end{itemize}

\begin{figure}[hbt]
\center
\fbox{\includegraphics[width=14cm]{img/gcc_ex1.PNG}}
\caption{\label{Fig-gcc-1}Great Composite Curve for example 1}
\end{figure}


\subsubsection{Example 2 : 4 Processes, DTmin choice}

The second scenario uses the hypothetical data from the first. Only the fluid "$H1$" has its inlet temperature which increases. 


\textbf{The data}\\
Below are the data for the fluids:
\begin{enumerate}
\item the fluid "C1", 
	\begin{itemize}
	\item $C_p = 2 kJ.kg^{-1}.K^{-1}$
	\item $\dot{m} = 1 kg.s^{-1}$, 
	\item $T_e = 20^{\circ}C$, and
	\item $T_s = 135^{\circ}C$.
	\end{itemize}
\item the fluid "H1", 
	\begin{itemize}
	\item $C_p = 2 kJ.kg^{-1}.K^{-1}$
	\item $\dot{m} = 1.5 kg.s^{-1}$, 
	\item $T_e = 200^{\circ}C$, and
	\item $T_s = 60^{\circ}C$.
	\end{itemize}
\item the fluid "C2", 
	\begin{itemize}
	\item $C_p = 2 kJ.kg^{-1}.K^{-1}$
	\item $\dot{m} = 2 kg.s^{-1}$, 
	\item $T_e = 80^{\circ}C$, and
	\item $T_s = 140^{\circ}C$.
	\end{itemize}
\item the fluid "H2", 
	\begin{itemize}
	\item $C_p = 1.5 kJ.kg^{-1}.K^{-1}$
	\item $\dot{m} = 1 kg.s^{-1}$,  
	\item $T_e = 150^{\circ}C$, and
	\item $T_s = 30^{\circ}C$.
	\end{itemize}
\end{enumerate}


\textbf{Note}:
\begin{itemize}
\item The data of the example are available in the file "Tab2\_ex.csv" located at the root of the software. See section \ref{Sec-export-import} to import them directly.
\end{itemize}

\textbf{Results}\\

The calculation is successful and we get the different graphs, see figure \ref{Fig-result-2}, as for example 1. The calculation results in a \textit{DTmin} of $26^{\circ}C$, and a click on one of the graphs tells us that the minimum energy required for heating is only $2kW$ and a cooling requirement of $132kW$.


\begin{figure}[hbt]
\center
\fbox{\includegraphics[width=16cm]{img/result_ex2.PNG}}
\caption{\label{Fig-result-2}Results for example 2.}
\end{figure}


Now let's change the value of \textit{DTmin}. If we put $30^{\circ}C$ as in \ref{Fig-data-2-30}. Increasing the \textit{DTmin} works and we get higher minimum required energies, see figure \ref{Fig-data-2-30}.


\textbf{Note} :
\begin{itemize}
\item Remember to press the \textit{Enter} key to validate the new value of \textit{DTmin}.
\item To remove the imposed DTmin value, simply delete it and validate by pressing the \textit{Enter} key.
\end{itemize} 

\begin{figure}[hbt]
\center
\fbox{\includegraphics[width=10cm]{img/data_ex2_30.PNG}}
\caption{\label{Fig-data-2-30}Data for example 2 with \textit{DTmin} = $30^{\circ}C$.}
\end{figure}

\begin{figure}[hbt]
\center
\fbox{\includegraphics[width=13cm]{img/result_ex2_30.PNG}}
\caption{\label{Fig-result-2-30}Results for example 2 with \textit{DTmin} = $30^{\circ}C$.}
\end{figure}

If we then choose a value of \textit{DTmin} of $20^{\circ}C$, launching the calculation generates an error window specifying "\textit{Error, inconsistency between the minimum temperature differential chosen and the one found !}". This is an error of the algorithm that failed to impose a desired value of \textit{DTmin}, the actual value found is always indicated.


Error messages that may appear highlight an exception in the sequence of the algorithm implemented for the analysis. The results must therefore be taken with care.


\subsection{Illustration of the analysis \textit{Pinch}: Beer-making process}

This section will allow us to illustrate how to conduct the beginning of a pinch analysis to estimate possible energy savings. For this we will take a simplified example of the beer making process. 
This example is taken from the tutorial of OSMOSE\footnote{\url{https://www.epfl.ch/labs/ipese/ipese-resources/}}, an optimization software for the design and analysis of integrated energy systems.

A similar example can be found in \cite{brunner_introduction_2017}, a report that presents the analysis \textit{Pinch} in a complete way. Explanations of the brewing process are taken from this report. Note that it is associated with PinCH\footnote{\url{https://pinch-analyse.ch/fr/logiciel-pinch}}, a reference solution for the \textit{Pinch} analysis.



\subsubsection{Manufacturing steps and data}

Below we describe the steps in the beer making process. In practice, the data for carrying out the analysis and the fluids to be taken into account are found by analyzing these steps :
\begin{itemize}
\item Brewing: For this step water is heated and then mixed with the malt to obtain a mixture called salad. This is followed by steeping and mashing.
\item Soaking: Part of the salad is heated in temperature stages.
\item Mash: Another part of the lettuce is sent to the mash tun and undergoes further processing that requires heating.
\item Rinsing: Filtration is used to separate the must (which will be heated and cooked) from the spent grains (residue). Then heated rinsing water is used. The initially hot spent grains are cooled naturally to ambiant temperature.
\item Heating and cooking: The wort is heated and then cooked in a vat. This cooking process produces vapors.
\item Cooler: The cooking vapors can be cooled to ambient temperature. The wort is decanted and cooled.
\end{itemize}

From this list we identify 8 flows presented below (the data are hypothetical):

\begin{itemize}
\item $\text{Flux} = \text{Brassage}$, $Cp = 4.18 kJ.K^{-1}.kg^{-1}, \dot{m} = 28.7 kg.s^{-1}, T_e = 15^{\circ}C, T_s = 50^{\circ}C$,
\item $\text{Flux} = \text{Trempe}$, $Cp = 3.7 kJ.K^{-1}.kg^{-1}, \dot{m} = 10.8 kg.s^{-1}, T_e = 15^{\circ}C, T_s = 100^{\circ}C$,
\item $\text{Flux} = \text{Empatage}$, $Cp = 3.7 kJ.K^{-1}.kg^{-1}, \dot{m} = 48.6 kg.s^{-1}, T_e = 65^{\circ}C, T_s = 75^{\circ}C$,
\item $\text{Flux} = \text{Rinçage}$, $Cp = 4.18 kJ.K^{-1}.kg^{-1}, \dot{m} = 1.2 kg.s^{-1}, T_e = 15^{\circ}C, T_s = 50^{\circ}C$,
\item $\text{Flux} = \text{Drêche}$, $Cp = 3.5 kJ.K^{-1}.kg^{-1}, \dot{m} = 8.6 kg.s^{-1}, T_e = 60^{\circ}C, T_s = 30^{\circ}C$,
\item $\text{Flux} = \text{Chauffage}$, $Cp = 4.1 kJ.K^{-1}.kg^{-1}, \dot{m} = 35.3 kg.s^{-1}, T_e = 60^{\circ}C, T_s = 120^{\circ}C$,
\item $\text{Flux} = \text{Refroidisseur Moût}$, $Cp = 4.1 kJ.K^{-1}.kg^{-1}, \dot{m} = 22.0 kg.s^{-1}, T_e = 110^{\circ}C, T_s = 10^{\circ}C$,
\item $\text{Flux} = \text{Refroidisseur buées}$, $Cp = 4.18 kJ.K^{-1}.kg^{-1}, \dot{m} = 0.36 kg.s^{-1}, T_e = 120^{\circ}C, T_s = 30^{\circ}C$.
\end{itemize}

In this situation, we have heating and cooling needs. We are going to find out what are the minimum power values that we will need to find to heat the system and to cool it. These indicators will allow us to compare possible installations to a reference target, or to see the deviation of an existing installation from an optimal one.


\subsubsection{Test and Results}

The data of this example are available in the file "\textit{BeerFactoryExample.csv"} located at the root of the software, see \ref{Sec-export-import} to import them.


The results of the example are shown in figure \ref{Fig-result-beer}. Just click on one of the graphs to enlarge it and see the main results.


We see on figure \ref{Fig-gcc-beer} that the pinch point is quite low, $15^{\circ}C$. The minimum heat requirements are important, $8645.54kW$. This is a minimum value that would be obtained in practice if the self-sufficiency pocket shown on the graph was fully exploited.
Finally, the cooling requirements are lower, $451kW$.


\begin{figure}[hbt]
\center
\fbox{\includegraphics[width=18cm]{img/result_beer.PNG}}
\caption{\label{Fig-result-beer}Courbes de l'exemple de brasserie}
\end{figure}

\begin{figure}[hbt]
\center
\fbox{\includegraphics[width=14cm]{img/gcc_beer.PNG}}
\caption{\label{Fig-gcc-beer}Grande courbe composite pour l'exemple de brasserie}
\end{figure}


The PinchGUI software stops at these first results. To go further, it would then be necessary to select the utilities that could be used to satisfy the needs for hot and cold. 
If utilities are selected, we can show them on the large composite curve to illustrate how they meet the need. 

We can imagine for example the use of water (from a river, a flooded mine...) for cooling. 
The inlet temperature would be imposed by the system, for the example let's take $7^{\circ}C$. 
The output temperature could be fixed, we choose $9^{\circ}C$. 
As water has a mass heat capacity of about $4kJ.K^{-1}.kg^{-1}$, to cover our needs we should impose a flow rate: 
$$\dot{m} = \frac{\text{Minimum energy required for cooling}}{C_p * (T_s - T_e)} = \frac{451}{4 * (9 - 7)} = 56.375kg.s^{-1}$$.

Our cold water utility would thus be characterized as a fluid with: $Cp = 4kJ.K^{-1}.kg^{-1}$, $\dot{m} = 56.375kg.s^{-1}$, $T_e = 7^{\circ}C$, $T_s = 9^{\circ}C$. If we add it in the example of the brewery, we get a new large composite curve, see figure \ref{Fig-gcc-beer-water}. The minimum energy required for cooling has changed to 0, indicating that our needs are met. This appears on the large composite curve as a return on the Y-axis.


To continue, we would also need to add heating utilities and study the optimal configuration to reduce costs. This implies having a detailed knowledge of existing utilities (boiler, fuel cell, heating network, etc.), their purchase cost, their operating costs, etc...


\begin{figure} [hbt]
\center
\fbox{\includegraphics[width=14cm]{img/gcc_beer_water.PNG}}
\caption{\label{Fig-gcc-beer-water}Large composite curve for the brewery example by adding a cold water utility.}
\end{figure}

\subsubsection{Limits}
The analysis provided by the PinchGUI software gives a first idea of the possible gains. There are many elements to be taken into account for an in-depth analysis:
\begin{itemize}
\item \textbf{Cost Factor}: Taking into account the installation and maintenance costs of utilities to obtain economic indicators. 
\item \textbf{Environmental Factor}: Consideration of environmental factors (e.g. CO$_2$ emissions) to obtain ecological indicators. 
\item \textbf{Time factor}: In our example, we did not consider the time dimension. In reality, sometimes the different manufacturing steps have different durations and are carried out in a certain order (some steps are carried out in series, others in parallel...). The time factor is an element to be taken into account for an in-depth study, it implies in particular to take into account the piloting of the operations to optimize the gains.
\end{itemize}



\subsection{Export/Import data}
\label{Sec-export-import}

Another way to launch the examples in the section \ref{sec-example} is to load the CSV files present in the \textit{zip}. The first example corresponds to the file "Tab\_ex1.csv".

To load it, go to the "\textit{Test}" tab and select "\textit{Import a csv file}". Just choose the above mentioned file to fill the flow table with the right values. 

If you build your own tests, you can also export them to a CSV file via the "Export to CSV file" button.



\subsection{Save/Load}
\label{Sec-save-load}


\textbf{Feature disabled} : Due to the latest updates, this feature needs to be updated to work again. It has been disabled. An error message indicates that in the application.



In addition to the CSV file import and export functionality that allows to save the examples, it is also possible to save and load the status of the application. This makes it possible to keep comments that can be written underneath the graphs.

Both saving and loading are available in the "option" tab. The saved files are in \textit{pinch} format specific to the application and cannot be edited using a text editor.


\subsection{Change table type}
\label{Sec-switch}

In some cases, we cannot consider that the thermal mass capacity of a fluid is constant during a process. This happens in particular when the fluid changes state (from liquid to gas or the opposite).

To allow testing the analysis on this type of process, a button \textit{Switch} next to the button \textit{Execute} has been added. It allows to switch to a fluid table directly requesting the specific enthalpies ($kJ.K^{-1}.kg^{-1}$) of the fluid at the inlet and outlet of the process (this replaces the mass heat capacity).


Note:
\begin{itemize}
\item Using the \textit{Switch} button starts by emptying the table (no data transfer when switching from one mode to another).
\item The structure of exported CSV files depends on the mode. When importing, switching from one type of table to another is made automatically depending on the CSV kind.
\item During the analysis, one of the approximations made is that the enthalpy of the fluid evolves linearly between the input and the output of the process (the composite curves are linear by pieces).
\end{itemize}

\section{Supertargeting}
\label{Sec_supertargeting}

This section details the economic part of the pinch analysis that can be performed in PinchGUI.
We do not detail below the different formulas used, they come mainly from \cite{brunner_introduction_2017} (part "\textit{Supertargetiing}") and \cite{favrat_integration_1994}. We refer readers who wish to learn more to these two references.



\subsection{Start}
The objective of this section is to give an overview of the economic aspect, of the parameters that must be used, and of the notable influence of the minimum temperature difference $\Delta{T}_{min}$ we impose to the heat exchangers.

\textbf{Note that it is not possible to perform an economic analysis without first performing an energy analysis}.


\subsection{Example: paper factory}
\label{subsec_paperfactory}
The example we use to illustrate this section comes from \cite{noauthor_pinch_2003} which has been reused in \cite{azzopardi_symbiose_2021}. 
Not all parameters to reproduce the example from the formulas in \cite{brunner_introduction_2017} were found. In this case, default values were used.



\subsubsection{Data loading and energy analysis}

The paper industry example we use is available as a CSV file.

\begin{enumerate}
\item Go to the "Energy" tab.
\item Use the import tab to load "PaperFactory.csv".
\item Run the computation.
\end{enumerate}

You should get the following display, see figure \ref{Fig_example_paperfactory}, where you will see the composite curves and the large composite curve for this example. Note that the minimum temperature difference found is 8 degrees.

\begin{figure}[hbt]
\center
\includegraphics[width=1.\linewidth]{img/example_paperfactory.PNG}
\caption{\label{Fig_example_paperfactory}Data and energy analysis for the paper factory example.}
\end{figure}


\subsection{Economic Analysis}

After the previous energy analysis, you can go to the "Economy" tab.

The energy analysis allows you to calculate the minimum amount of energy that will be needed to heat or cool down the processes.


For the economic analysis, called "\textit{supertargeting}", we are going to add economic indicators (price of hot and cold utilities and estimation of heat exchanger price ...) then we are going to vary the minimum temperature difference $\Delta{T}_{min}$ that we impose in our heat exchangers.
The objective is to find the best compromise between energy gains and costs by estimating the payback time.


This analysis requires several data:
\begin{itemize}
\item \textbf{Cold utility} : For the moment it is only allowed to have one cold utility. It is necessary to specify its input and output temperatures and its cost per kWh of energy used. This allows to estimate the operational cost to cool down according to the minimum energy required. For the example we choose an inlet temperature of 0$^{circ}$C, an outlet temperature of 1$^{circ}$C and a cost of 0.01€ per kWh.
\item \textbf{Hot utility} : For the moment it is allowed to have only one hot utility. It is necessary to specify its its input and output temperatures and its cost per kWh of energy used. This allows to estimate the operational cost to heat according to the minimum energy required. For the example we choose an inlet temperature of 200$^{\circ}$C, an outlet temperature of 199$^{\circ}$C and a cost of 0.05€ per kWh.
\item \textbf{Annual operating hours}: This is the number of hours the system is in operation over a year. This parameter is related to the operational cost. We choose here 6000h/year.
\item \textbf{Annual interest rate} : Annual interest rate of the capital, it is used to estimate the investment cost and the total annual costs on the period of return on investment wanted. We choose here 0.08 or 8\%.
\item \textbf{Pay Off Period}: Pay off period used to calculate the investment cost and the total annual costs.
\item \textbf{Fixed cost} : The estimated fixed cost of a heat exchanger, this cost is dependent on a given situation (country, time). We choose 110000€.
\item \textbf{Reference surface} : Reference surface for the heat exchanger corresponding to the fixed cost. We choose here 1m$^2$.
\item \textbf{Exponent cost function} : Power factor for the ratio between the surface of an exchanger compared to the reference surface. It is a parameter used to estimate the investment cost for each exchanger. We choose here 0.71.
\item \textbf{Model factor}, \textbf{Actualization} and \textbf{Installation factor}: These three parameters are used to estimate the variable part of the cost of a heat exchanger in relation to the ratio between its surface and the reference surface. The model factor is a price, the discount factor is a ratio to update the price if it is old, and the installation factor is a multiplier of the price to take into account transportation and installation costs. Here we choose 1733€, 1 and 3 respectively.
\item \textbf{alpha}: This is the convective heat transfer coefficient, assumed the same for each flow. It is used to estimate the surface of each heat exchanger.
\item \textbf{DTmin} : It is a set of three parameters to vary the minimum temperature difference for the \textit{supertargeting}. We choose (8, 0.5, 45) degrees (min, increment step, max).
\end{itemize}


A more detailed description of the different data can be found in \cite{brunner_introduction_2017}, some of the selected data comes from \cite{noauthor_pinch_2003}.

Once the parameters have been entered and the analysis started, you should have the figure \ref{Fig_supertargeting_paperfactory} displayed.


\begin{figure}[hbt]
\center
\includegraphics[width=1.\linewidth]{img/supertargeting_paperfactory.PNG}
\caption{\label{Fig_supertargeting_paperfactory}\textit{Supertargeting} for the paper factory example.}
\end{figure} 


\subsubsection{Results}

The different graphs in figure \ref{Fig_supertargeting_paperfactory} show :
\begin{itemize}
\item the estimation of the number of heat exchangers required as a function of $\Delta{T}_{min}$, see \cite{brunner_introduction_2017} and \cite{favrat_integration_1994},
\item the estimation of the different costs (investment, annual operational, annual total, annual operational in the worst case) as a function of $\Delta{T}_{min}$, see \cite{brunner_introduction_2017},
\item the evolution of the minimum energy requirements for cooling and heating as a function of $\Delta{T}_{min}$, see the energy analysis in \ref{Sec_energy_targeting}, and
\item the estimated payback time in months as a function of $\Delta{T}_{min}$, see \cite{brunner_introduction_2017}.
\end{itemize}


The example, despite its artificial parameters, illustrates that :
\begin{itemize}
\item as the minimum temperature difference increases, the energy requirements for heating and cooling increase, and thus the annual operational costs,
\item as the minimum temperature difference increases, the surface area of the heat exchangers will be smaller and thus the investment cost will be lower, and
\item the estimations of the investment and annual operational costs show that a temperature difference minimizes the payback time.
\end{itemize}

In PinchGUI, the annual system operating cost savings are calculated from the operational cost calculation if no heat exchangers were placed (i.e., summing the heat requirement of each fluid multiplied by the associated utility cost, and multiplying this sum by the annual operating hours).


\section{Heat Exchanger Networks}
\label{Sec_hen}

This section is dedicated to a heat exchanger network design that respect the energetic and economical argets of the previous analyses.
Some methods in the pinch analysis enable to propose a heat exchanger network that fit the targets to give a first estimation of possible concrete solutions.

\subsection{Method}

Several algorithms exist to propose a consistent heat exchanger network, in particular optimization algorithms (e.g. Mixed Integer Linear Programming for OSMOSE \cite{bolliger_methodologie_2010}).
Because of its illustrative and pedagogical purpose, PinchGUI does not have such optimization methods and simply implements a heuristic for choosing the positioning of heat exchangers. 
This heuristic is based on the heat exchanger network design rules available in \cite{brunner_introduction_2017}, section 7.


The algorithm currently only proposes internal heat exchangers, i.e., those between processes. External heat exchangers, those related to utilities (heat or cold source), are not currently considered.



\textbf{Note that it is not possible to use this algorithm without first performing an energy analysis}.


\subsection{Example: paper factory}
We continue here the example of paper factory seen in section \ref{Sec_supertargeting} and taken from \cite{noauthor_pinch_2003}. For this part you must select the tab "HEN" (Heat Exchanger Network).


\subsubsection{Data}

The first step is to load the data and start the energy analysis.
Do the steps seen in \ref{subsec_paperfactory} until you get the \ref{Fig_example_paperfactory} display.


The economic analysis is not necessary, but it allows to choose the $Delta{T}_{min}$ which makes the best compromise between the energetic and economic analyses.
The second parameter used is the minimum power of each heat exchanger (this parameter allows to limit the number of exchangers proposed by the algorithm by eliminating the smallest).


For this test, we choose hot and cold utilities. 
These parameters are only indicative and are not mandatory to place the internal heat exchangers. They would be mandatory to compute the external heat exchangers.
We still choose utilities that enable to meet the energy requirements.
This means that the cold source must have an outlet temperature lower than the lowest temperature that a hot process must reach, minus $\frac{\Delta{T}_{min}}{2}$ to meet the minimal temperature difference. 
At the same time, the hot source must have an outlet temperature higher than the highest temperature that a cold process must reach, plus $\frac{\Delta{T}_{min}}{2}$ to respect the minimum temperature difference.
Below are the values we choose:
\begin{itemize}
\item Cold utility:
	\begin{itemize}
	\item $T_e = 0^{\circ}C$,
	\item $T_s = 1^{\circ}C$,
	\item $cost = 0.01$€/kWh.
	\end{itemize}
\item Hot utility:
	\begin{itemize}
	\item $T_e = 200^{\circ}C$,
	\item $T_s = 199^{\circ}C$,
	\item $cost = 0.05$€/kWh.
	\end{itemize}
\end{itemize}


Here are the mandatory parameters for the example:
\begin{itemize}
\item $DT_{min} = 14^{\circ}C$,
\item $minpower = 1 kW$,
\end{itemize}

\subsubsection{Results}

The figure \ref{Fig_hen_result_paperfactory} presents the results.

\begin{figure}[hbt]
\center
\includegraphics[width=1.\linewidth]{img/hen_paperfactory.PNG}
\caption{\label{Fig_hen_result_paperfactory}Heat exchanger network proposal for the paper factory.}
\end{figure}


As we would expect from the energy system, it is the flow 5 that is mostly used above the pinch to heat the fluids 2 and 4.
Below the pinch, it is also used to heat fluid 3. 
Then the flow 1 is used to heat the flow 2.


The next step would be to place the external heat exchangers by analyzing the processes that still require to be heated or cooled down. This can be done with the utility parameters we have chosen. This calculation allows us to precise the operational cost of the energy system. 


To go further, it would be necessary to analyze the real exchange possibilities by checking the inlet and outlet temperatures and the portions of the process involved, 
and by taking into account finer constraints such as the distance, the real cost of the network obtained by quotation etc.


\subsection{Limit}

The algorithm currently used is a sketch that works on the particular case of the paper industry and gives results consistent with what was obtained in \cite{noauthor_pinch_2003}.
However, it has not been applied on many examples and one should be cautious about the results it proposes. 


\section{Graphs}


\subsection{4 graphs or 1 graph}

The results of the energy analysis, see \ref{Sec_energy_targeting}, or the ones of the supertargeting, see \ref{Sec_supertargeting},  are presented in the form of 4 graphs or in the form of a large graph.

It is possible to switch from one view to the other:
\begin{itemize}
\item either by clicking on a graph in the 4-graphs view,
\item either by clicking on the "grid" button at the bottom right when we are in 1-graph view.
\end{itemize}

\subsection{Export}

On the view with one graph, an export button is available and offers three options.

\subsubsection{Thermal cascade}

This choice allows you to export a CSV containing the values used to draw the large composite curve (i.e. the heat cascade data).

\subsubsection{Graph in PNG}

Allows you to export the graph in PNG.

\subsubsection{JFreeChart}

Opens a \href{https://www.jfree.org/jfreechart/}{JFreeChart} window with the graph. This window allows basic manipulations (zoom, export...).




%\section{Work in Progress: Economic Analysis and Heat Exchanger Networks}
%
%The current version of the software allows to perform the energy analysis (the display of composite curves and the determination of energy target values). 
%The next step will consist in estimating the number of heat exchangers that will be installed and the total surface area of exchange that will be necessary. 
%This first estimate will give a first overview of the costs (by giving reference cost values).
%
%In the current version, the "WIP" button available in the "Test" tab allows to give some indicators from \cite{brunner_introduction_2017,favrat_integration_1994}:
%\begin{itemize}
%\item the estimated number of exchangers, 
%\item the estimate of the total exchange surface, 
%\item a proposal for a network of exchangers.
%\end{itemize}
%
%It is then possible, after executing the calculation and obtaining the composite curves, to obtain the above-mentioned indicators by pressing the "WIP Report" button. 
%A \textit{popup} window will then be displayed with a report on the calculated indicators.
%
%Notes :
%\begin{itemize}
%\item Currently, it is not possible to fill in utilities via the GUI, default utilities are added.
%\item Reference costs cannot be defined yet and therefore there is no cost estimate yet.
%\end{itemize}



\printbibliography[heading=bibintoc,title={Bibliography}]


\end{document}